<template lang="pug">
  div(id="root")
    div(id="top")
      div(@click="$router.push({ name: 'Article List' })")
        v-icon(name="book")
      div(@click="$router.push('/settings')")
        v-icon(name="font")
      div()
        v-icon(name="comment")
      div()
        v-icon(name="bell")
    div(id="bottom")
      div()
        v-icon(name="donate")
      div(@click="$router.push('/settings')")
        v-icon(name="cog")
</template>

<style lang="sass" scoped>
#root
  display: flex
  flex-direction: column
  justify-content: space-between
  border-right: 1px solid
  $padding-size: 0.5vw
  #bottom > *
      border-top: 1px solid
      cursor: pointer
      text-align: center
      padding: $padding-size
  #top > *
      border-bottom: 1px solid
      cursor: pointer
      text-align: center
      padding: $padding-size
</style>
